Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593718 - AttributeError: 'NoneType' object has no attribute 'path'
AttributeError: 'NoneType' object has no attribute 'path'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Hans de Goede
Release Test Team
anaconda_trace_hash:cf358a7b77f63c1cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 11:04 EDT by Alexander Todorov
Modified: 2010-07-02 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-13.21.50-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 16:49:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (775.33 KB, text/plain)
2010-05-19 11:04 EDT, Alexander Todorov
no flags Details
logs from the system (69.47 KB, application/x-gzip)
2010-05-19 11:09 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2010-05-19 11:04:44 EDT
The following was filed automatically by anaconda:
anaconda 13.21.39 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/booty/util.py", line 5, in getDiskPart
    path = storage.devicetree.getDeviceByName(dev).path[5:]
  File "/usr/lib/anaconda/booty/x86.py", line 411, in writeDeviceMap
    drive = getDiskPart(dev, self.storage)[0]
  File "/usr/lib/anaconda/booty/x86.py", line 229, in writeGrub
    self.writeDeviceMap(instRoot, usedDevs, upgrade)
  File "/usr/lib/anaconda/booty/x86.py", line 507, in write
    not self.useGrubVal)
  File "/usr/lib/anaconda/bootloader.py", line 217, in writeBootloader
    kernelList, otherList, defaultDev)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1260, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1281, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: 'NoneType' object has no attribute 'path'
Comment 1 Alexander Todorov 2010-05-19 11:04:48 EDT
Created attachment 415153 [details]
Attached traceback automatically from anaconda.
Comment 2 Alexander Todorov 2010-05-19 11:09:17 EDT
Created attachment 415155 [details]
logs from the system
Comment 3 Alexander Todorov 2010-05-19 11:12:09 EDT
This was on KVM domU. 

On the first install I did "Use all space" and "Encrypt system". 
On the second install I've selected Cancel when anaconda asked me for password for /dev/vda2 to work around for bug #593671. Then manually created /boot, swap and 4 software raid partitions which I selected to be encrypted. Then / on RAID1 including all members. 

Partitioning went without error. This traceback happens right after package installation is completed and we're about to write grub to the MBR.
Comment 4 Hans de Goede 2010-05-19 11:20:54 EDT
Let me see if I've read the logs and understood your description correctly:

You were doing an install with / on mdraid level 1, and the members of the raidset were all encrypted, and you did not have a separate /boot. That is not supported, as grub cannot read from encrypted partitions, so you would need a separate /boot for this which is unencrypted (/boot may be a mdraid level 1, but that mdraid set then must use plain partitions as members).

Did I understand this correctly ?

Then this bug is just a matter of tightening up our sanity checks for /boot, for which I've a patch on master already.
Comment 5 Alexander Todorov 2010-05-19 12:18:14 EDT
I do have a separate /boot. This bug also happens on a clean disk with the following configuration:

/boot, swap, two encrypted raid members, raid1 for /
Comment 6 Hans de Goede 2010-05-31 08:52:06 EDT
This is fixed in anaconda-13.21.50-1, moving to modified.
Comment 8 Alexander Todorov 2010-06-19 04:32:57 EDT
Tested with RHEL6.0-20100617.0 and I had no traceback. Moving to VERIFIED.
Comment 9 releng-rhel@redhat.com 2010-07-02 16:49:48 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.